Bug 967970 - can not install Windows 7 x32 VM from iso: "review" screen is blank and "Create" button is disabled
can not install Windows 7 x32 VM from iso: "review" screen is blank and "Crea...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 13:03 EDT by David Jaša
Modified: 2013-05-31 23:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnome-boxes-3.8.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 23:13:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (265.40 KB, image/png)
2013-05-28 13:03 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2013-05-28 13:03:27 EDT
Created attachment 754018 [details]
screenshot

Description of problem:
can not install Windows 7 x32 VM from iso: "review" screen is blank and "Create" button is disabled

Version-Release number of selected component (if applicable):
gnome-boxes-3.8.2-4.fc19.x86_64
libosinfo-0.2.7-1.fc19.x86_64
libvirt-daemon-1.0.5.1-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. hit "New" button in boxes
2. select an iso of Windows 7 x86 SP1, confirm
3. go back, select the same iso, confirm again

Actual results:
2. boxes show blank screen just as in screenshot
3. boxes trip an assertion:
(gnome-boxes:9473): Boxes-CRITICAL **: boxes_wizard_review_co: assertion `_data_->_tmp0_ == NULL' failed

Expected results:
regular "review" screen is offered and the installation is started

Additional info:
$ G_MESSAGES_DEBUG=all gnome-boxes
(gnome-boxes:9429): Gtk-DEBUG: Connecting to session manager
(gnome-boxes:9429): Boxes-DEBUG: util-app.vala:280: check_cpu_vt_capability: yes
(gnome-boxes:9429): Boxes-DEBUG: util-app.vala:300: check_module_kvm_loaded: yes
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:884: No media language, using en_US locale
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:642: Failed to load user avatar file '/home/shadowman/.face': Failed to open file '/home/shadowman/.face': No such file or directory
(gnome-boxes:9429): Boxes-DEBUG: downloader.vala:131: Fedora 19 has logo 'http://people.gnome.org/~zeeshanak/logos/fedora.svg'.
(gnome-boxes:9429): Boxes-DEBUG: downloader.vala:68: 'http://people.gnome.org/~zeeshanak/logos/fedora.svg' already available locally at '/home/shadowman/.cache/gnome-boxes/logos/fedora.svg'. Not downloading.
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:884: No media language, using en_US locale
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:884: No media language, using en_US locale
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:642: Failed to load user avatar file '/home/shadowman/.face': Failed to open file '/home/shadowman/.face': No such file or directory
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:642: Failed to load user avatar file '/home/shadowman/.face': Failed to open file '/home/shadowman/.face': No such file or directory
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:884: No media language, using en_US locale
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:642: Failed to load user avatar file '/home/shadowman/.face': Failed to open file '/home/shadowman/.face': No such file or directory
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:884: No media language, using en_US locale
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:884: No media language, using en_US locale
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:642: Failed to load user avatar file '/home/shadowman/.face': Failed to open file '/home/shadowman/.face': No such file or directory
(gnome-boxes:9429): Boxes-DEBUG: unattended-installer.vala:642: Failed to load user avatar file '/home/shadowman/.face': Failed to open file '/home/shadowman/.face': No such file or directory

// after step 3. is performed
(gnome-boxes:9429): Boxes-CRITICAL **: boxes_wizard_review_co: assertion `_data_->_tmp0_ == NULL' failed
Comment 1 Fedora Update System 2013-05-28 14:23:19 EDT
gnome-boxes-3.8.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-boxes-3.8.3-1.fc19
Comment 2 Fedora Update System 2013-05-29 13:48:21 EDT
Package gnome-boxes-3.8.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-boxes-3.8.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9574/gnome-boxes-3.8.3-1.fc19
then log in and leave karma (feedback).
Comment 3 David Jaša 2013-05-30 07:25:55 EDT
Even after an update, the problem has persisted till I purged whole home directory of the user...
Comment 4 Fedora Update System 2013-05-31 23:13:49 EDT
gnome-boxes-3.8.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.